PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PHTTPClientAuthentication::AuthObject Class Referenceabstract

`#include <http.h>`

Inheritance diagram for PHTTPClientAuthentication::AuthObject:
[legend]

## Public Member Functions
virtual | ~AuthObject ()
virtual PMIMEInfo & | GetMIME ()=0
virtual PString | GetURI ()=0
virtual PString | GetEntityBody ()=0
virtual PString | GetMethod ()=0

## Constructor & Destructor Documentation

virtual PHTTPClientAuthentication::AuthObject::~AuthObject | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual PString PHTTPClientAuthentication::AuthObject::GetEntityBody | ( |  | ) |
| pure virtual

Implemented in PHTTPClientAuthenticator.

virtual PString PHTTPClientAuthentication::AuthObject::GetMethod | ( |  | ) |
| pure virtual

Implemented in PHTTPClientAuthenticator.

virtual PMIMEInfo& PHTTPClientAuthentication::AuthObject::GetMIME | ( |  | ) |
| pure virtual

Implemented in PHTTPClientAuthenticator.

virtual PString PHTTPClientAuthentication::AuthObject::GetURI | ( |  | ) |
| pure virtual

Implemented in PHTTPClientAuthenticator.

The documentation for this class was generated from the following file:

- http.h